package com.ejie.ab78.service.terceros;

import java.util.List;

import com.ejie.ab78.model.expedientes.Expedientes;
import com.ejie.ab78.model.terceros.DatosTerceros;
import com.ejie.x38.dto.TableRequestDto;
import com.ejie.x38.dto.TableResponseDto;

/**
 * DatosTercerosService  
 * 
 *  
 */

public interface DatosTercerosService {

	DatosTerceros add(DatosTerceros datosTerceros);

	DatosTerceros findUltimoId();

	DatosTerceros update(DatosTerceros datosTerceros);

	void remove(Integer idTercero);

	List<DatosTerceros> findAll(DatosTerceros datosTerceros, TableRequestDto TableRequestDto);

	List<DatosTerceros> findAllLike(DatosTerceros datosTerceros, TableRequestDto TableRequestDto, Boolean startsWith);

	TableResponseDto<DatosTerceros> filter(DatosTerceros filterDatosTerceros, TableRequestDto TableRequestDto,
			Boolean startsWith);

	List<DatosTerceros> findAllByExpdiente(Expedientes expedientes);

	DatosTerceros find(Integer idTercero);

	DatosTerceros addTerceroSearchFolder(DatosTerceros datosTerceros);

}
